<?php 
/**
 * Global Version List
 * Author: Vladimir S. <guyasyou@gmail.com>
 * www.SiteCreate54.ru
 * © 2016
 */

namespace Concrete\Package\GlobalVersionList;
use Package;
use SinglePage;
use Route;

defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends Package {

	protected $pkgHandle = 'global_version_list';
	protected $appVersionRequired = '5.7.5.6';
	protected $pkgVersion = '1.0';

    public function getPackageName() {
		return t("Global Version List");
	}

	public function getPackageDescription() {
		return t("List of all collection versions");
	}

    public function on_start() {

        //*******************************************
        //Assets
        $al = \Concrete\Core\Asset\AssetList::getInstance();

        //CSS
        $al->register(
            'css', //asset type
            'global_version_list', //asset name
            'css/style.css', //path
            array(),
            'global_version_list' //from package
        );

        //JS
        $al->register(
            'javascript', //asset type
            'global_version_list', //asset name
            'js/global_version_list.js', //path
            array(),
            'global_version_list' //from package
        );
        //********************


        //*******************************************
        //Assets groups
        $al->registerGroup('global_version_list', array(
            array('css', 'global_version_list'),
            array('javascript', 'global_version_list')
        ));
        //********************
    }


    public function install() {
        /** @var $pkg \Concrete\Core\Package\Package() */
        $pkg = parent::install();

		//install single pages
        $single_page = SinglePage::add('/dashboard/sitemap/global_version_list', $pkg);
        if ($single_page) {
            $single_page->update(array('cName'=>t('List of versions'), 'cDescription'=>t('List of all collection versions')));
        }
	}

}