<?php 
/**
 * Global Version List
 * Author: Vladimir S. <guyasyou@gmail.com>
 * www.SiteCreate54.ru
 * © 2016
 */
defined('C5_EXECUTE') or die(_("Access Denied."));

/** @var Concrete\Core\Html\Service\Navigation $nh */
$nh = \Core::make('helper/navigation');
/** @var Concrete\Core\Utility\Service\Text $text */
$text = \Core::make('helper/text');
/** @var Concrete\Core\Form\Service\Form $form */
$form = \Core::make('helper/form');
/** @var \Concrete\Core\Form\Service\Widget\PageSelector $page_selector */
$page_selector = \Core::make('helper/form/page_selector');
/** @var \Concrete\Core\Form\Service\Widget\UserSelector $user_selector */
$user_selector = \Core::make('helper/form/user_selector');

?>
<div id="global-version-list-search" class="row">
    <div class="col-xs-12">
        <h3>Search</h3>
        <form action="<?php echo URL::to('/dashboard/sitemap/global_version_list')?>" method="get">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <?php echo $form->label('cID', t('Filter by page'))?>
                        <?php  echo $page_selector->selectPage('cID') ?>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <?php echo $form->label('uID', t('Filter by user'))?>
                        <?php  echo $user_selector->selectUser('uID') ?>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <?php echo $form->label('itemPerPage', t('Items per page'))?>
                        <?php  echo $form->number('itemPerPage', 20) ?>
                    </div>
                </div>
            </div>
            <a class="btn btn-default" href="<?php echo URL::to('/dashboard/sitemap/global_version_list')?>"><?php echo t('Clear')?></a>
            <input class="btn btn-primary" type="submit" name="search" value="<?php echo t('Search')?>"/>
        </form>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
<?php 

    /** @var array $items */
    if (count($items)) {?>
        <table id="global-version-list" class="table table-striped">
            <tr>
                <th></th>
                <th><?php echo t('Page name')?></th>
                <th><?php echo t('Version')?></th>
                <th><?php echo t('Create date')?></th>
                <th><?php echo t('Public date')?></th>
                <th><?php echo t('Author')?></th>
                <th><?php echo t('Approver')?></th>
                <th><?php echo t('Comment')?> <i class="cursor-help fa fa-question-circle" data-toggle="tooltip" data-placement="top" title="<?php echo t('Hover to read full comment')?>"></i></th>
            </tr><?php 
            foreach ($items as $item) {
                /** @var \Concrete\Core\Page\Collection\Version\Version $item */
                /** @var \Concrete\Core\Page\Page $page */
                $page = Page::getByID($item->getCollectionID());
                $pageName = $page->getCollectionName();
                $pageURL = $nh->getCollectionURL($page);
                $pagePath = $page->getCollectionPath();

                $version = $item->getVersionID();

                $createdDate = $item->getVersionDateCreated();
                $publicDate = $item->cvDatePublic;

                $userNameAuthor = $item->getVersionAuthorUserName();
                $userURLAuthor = \URL::to('dashboard/users/search/view', $item->getVersionAuthorUserID());

                $userNameApprover = $item->getVersionApproverUserName();
                $userURLApprover = \URL::to('dashboard/users/search/view', $item->getVersionApproverUserID());

                $comment = $item->getVersionComments();

                $isApproved = $item->isApproved();

                ?>
                <tr class="<?php echo $isApproved ? 'success' : 'unapproved'?>">
                    <td><?php echo $isApproved ? '<i class="fa fa-thumbs-up" title="'.t('Approved').'"></i>' : '<i class="fa fa-thumbs-o-down" title="'.t('Not approved').'"></i>'?></td>
                    <td><?php echo $pageName?> (<a href="<?php echo $pageURL?>" target="_blank"><?php echo $pagePath?></a>)</td>
                    <td><?php echo $version?></td>
                    <td><?php echo $createdDate?></td>
                    <td><?php echo $publicDate?></td>
                    <td>
                    <?php  if ($userNameAuthor) {?>
                        <a href="<?php echo $userURLAuthor?>" target="_blank"><?php echo $userNameAuthor?></a></td>
                    <?php  } else { echo 'N/A'; }?>
                    <td>
                    <?php  if ($userNameApprover) {?>
                        <a href="<?php echo $userURLApprover?>" target="_blank"><?php echo $userNameApprover?></a>
                    <?php  } else { echo 'N/A'; } ?>
                    </td>
                    <td class="cursor-help" title="<?php echo $comment?>" data-toggle="tooltip" data-placement="left"><?php echo $text->shortenTextWord($comment, 30)?></td>
                </tr>
                <?php 
            }?>
        </table>
        <?php 
        /** @var Concrete\Package\GlobalVersionList\Src\GlobalVersionList\VersionList $versionList */
        echo $versionList->getPagination()->renderView();

    } else {
        echo t('Versions not found');
    }?>
    </div>
</div>